import { Component, Input, ViewChild, ElementRef, AfterContentInit, AfterContentChecked } from '@angular/core';



@Component({
  selector: 'cbx-form-control-tooltip',
  templateUrl: './cbx-form-control-tooltip.component.html',
  styleUrls: ['./cbx-form-control-tooltip.component.less'],
})
export class CbxFormControlTooltipComponent implements AfterContentChecked {

  @ViewChild('content') content: ElementRef;

  @Input() text: string = '';

  public showIcon: boolean = false;
  public shown: boolean = false;
  

  toggle(newState: boolean) {
    this.shown = newState 
  }

  ngAfterContentChecked() {
      this.showIcon = this.content.nativeElement.childElementCount > 0
  }
}

