import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'dataOrProperty'
})
export class DataOrPropertyPipe implements PipeTransform {

  transform(value: any, propertyName:string = null): any {
    if([null,undefined,''].includes(propertyName)){
      return value;
    }

    return value[propertyName];
  }

}
