import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';
import { AppRoutingModule } from './app-routing.module';
import { DashboardModule } from './modules/dashboard/dashboard.module';
import { TogglePreviewModule } from './modules/toggle/toggle-preview.module';
import { DatePickerPreviewModule } from './modules/datepicker/datepicker-preview.module';
import { EndNglibraryModule } from 'projects/end-nglibrary/src/lib/end-nglibrary.module';
import { FormsModule } from '@angular/forms';
import { RadioGroupPreviewwModule } from './modules/radio-group/radio-group-preview.module';
import { SliderPreviewModule } from './modules/slider/slider-preview.module';
import { TooltipPreviewModule } from './modules/tooltip-preview/tooltip-preview.module';


@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    AppRoutingModule,
    EndNglibraryModule,
    DashboardModule,
    TogglePreviewModule,
    DatePickerPreviewModule,
    RadioGroupPreviewwModule,
    SliderPreviewModule,
    TooltipPreviewModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
