
import { NgModule } from '@angular/core';

import { DashboardComponent } from './dashboard.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HTMLEscapeUnescapeModule } from 'html-escape-unescape';
import { EndNglibraryModule } from 'projects/end-nglibrary/src/lib/end-nglibrary.module';
import { CommonModule } from '@angular/common';


@NgModule({
    declarations: [DashboardComponent],
    imports: [CommonModule ,EndNglibraryModule, FormsModule, ReactiveFormsModule, HTMLEscapeUnescapeModule],
    providers: [],
})
export class DashboardModule { }
