import { Component } from '@angular/core';


class OptionList {
    Key:number;
    Value:string;
    Label:string;
}

@Component({
  templateUrl: './slider-preview.component.html',
  styleUrls: ['./slider-preview.component.less']
})
export class SliderPreviewComponent {
  
  constructor(){
      this.Group1Value = this.radioOptionList.find(r => r.Key==1);
  }
  
  chkModel:boolean = false;

  toggleValue: boolean = false;
  public radioOptionList : OptionList[] = [
      { Key: 1, Value: 'radio2', Label: 'Radio 2' },
      { Key: 0, Value: 'radio1', Label: 'Radio 1' },
      { Key: 2, Value: 'radio3', Label: 'Radio 3' },
      { Key: 3, Value: 'radio4', Label: 'Radio 4' },
  ];

  public Group1Value = null;
  public Group2Value = "radio4";
  public Group3Value = 'radio2';

  public onChange(option: OptionList){
      console.log(option.Value);
  }  

  public disableRadios = false;

  testTextModel:string = "Abc";    
  testNumberModel:number = 1;
  testDecimalsAllowed:number = 2;

  public console=window.console;
}