import { Component, OnInit } from '@angular/core';
import { cbxToolTipVisbilityConfig } from 'projects/end-nglibrary/src/public_api';

@Component({
  selector: 'app-tooltip-preview',
  templateUrl: './tooltip-preview.component.html',
  styleUrls: ['./tooltip-preview.component.less']
})
export class TooltipPreviewComponent implements OnInit {

  constructor() { }

  ngOnInit() {
  }

  tooltipExists:boolean = true;//testing destroy
  tooltipPlacement:string = "left";

  // tooltipClassType:string = 'cbx-tooltip-danger';
  // classTypes = {'cbx-tooltip-default', 'cbx-tooltip-success', 'cbx-tooltip-danger', 'cbx-tooltip-warning'}

  // tooltipFontSize:string = 'cbx-tooltip-text-small';
  // fontSizes = {'cbx-tooltip-text-small', 'cbx-tooltip-text-medium'}

  placements = [
    "top",
    "top-start",
    "top-end",
    "bottom",
    "bottom-start",
    "bottom-end",
    "left",
    "left-start",
    "left-end",
    "right",
    "right-start",
    "right-end"
  ];

  somehtmlstring = `<b>hello</b> <u>world</u>`;

  clickconfig:cbxToolTipVisbilityConfig = {
    showOnClick:true,
    hideOnClickout:true
  }

  focusblurConfig:cbxToolTipVisbilityConfig = {
    showOnFocus: true,
    hideOnBlur: true
  }  

}

