## Dependencies
1. Fontawesome pro v5.4.1
2. Roboto Font
3. Bootstrap v3.3.7
4. PrimeNg v6.1.4
5. PrimeIcons 1.0.0-beta.10

## Packages were built using ng-packagr
https://github.com/ng-packagr/ng-packagr

## Local Setup
1. clone from repo
2. set your `NUGETAPIKEY` env variable
3. run `npm install`
4. run `npm run build_lib` to build the library
4. run `npm start`
5. goto `localhost:4300`

## Publishing a package
1. install git-bash if not exists `https://git-scm.com/downloads`
2. run `bash auto-export.sh`
3. review changes
4. commit and push

## Directive and Component convention
1. classnames should start with Cbx.., e.g.(CbxInput, CbxInputWrapper)
2. component selectors should start with 'cbx-'  e.g.(cbx-input-wrapper)
3. directive selectors should start with 'cbx' e.g.(cbxInput)
