import { Component, Input, ContentChild, AfterContentInit, TemplateRef } from '@angular/core';

@Component({
  selector: 'cbx-form-control-label',
  templateUrl: './cbx-form-control-label.component.html',
  styleUrls: ['./cbx-form-control-label.component.less'],
})
export class CbxFormControlLabelComponent implements AfterContentInit{
  @Input() text: string = '';
  @ContentChild('leftLabel') leftContentChild : TemplateRef<any>;
  @ContentChild('rightLabel') rightContentChild : TemplateRef<any>;
  
  ngAfterContentInit() {
    
  }
}

