export var dateFormatRegExp = /d{1,2}|E{1,6}|e{1,6}|c{3,6}|c{1}|M{1,5}|L{1,5}|y{1,4}|H{1,2}|h{1,2}|k{1,2}|K{1,2}|m{1,2}|a{1,5}|s{1,2}|S{1,3}|z{1,4}|Z{1,5}|x{1,5}|X{1,5}|G{1,5}|q{1,5}|Q{1,5}|"[^"]*"|'[^']*'/g;

export var formatRegExp = /\{(\d+)}/g;

export var timeSpecifiersRegExp = /[hHmsSzZoOvVxX]/;

export var dateRegExp = /^\/Date\((.*?)\)\/$/;

export var offsetRegExp = /[+-]\d*/;

export var numberRegExp = {
    2: /^\d{1,2}/,
    3: /^\d{1,3}/,
    4: /^\d{4}/
}

export var numberRegex = /\d+/;

export var timeZoneOffsetRegExp = /([+|\-]\d{1,2})(:?)(\d{2})?/;

export var datePartRegExp = /year|month|<day>/;

export var timePartRegExp = /hour|minute|second|millisecond/;

export var shortPatentLengthRegExp = /d|M|H|h|m|s/;