import { Component, ElementRef } from '@angular/core';

@Component({
  selector: 'cbx-input-wrapper',
  templateUrl: './cbx-input-wrapper.component.html',
  styleUrls: ['./cbx-input-wrapper.component.less'],
  host:{
    '[class.cbx]':'true',
    '[class.has-value]':'hasValue',
    '[class.has-focus]':'hasFocus',
    '[class.has-hover]':'hasHover',
    '[class.is-negative]':'isNegative',
    '[attr.display-format]':'displayFormat'
  }
})
export class CbxInputWrapperComponent {

  public hasValue:boolean =  false;
  public hasFocus:boolean =  false;
  public hasHover:boolean =  false;
  public isNegative:boolean = false;
  public displayFormat:string = "";

  hostElement:Element;
  constructor(elemRef:ElementRef) { 
    this.hostElement = elemRef.nativeElement;
  }
}