
import { NgModule } from '@angular/core';

import { TogglePreviewComponent } from './toggle-preview.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HTMLEscapeUnescapeModule } from 'html-escape-unescape';
import { EndNglibraryModule } from 'projects/end-nglibrary/src/lib/end-nglibrary.module';

@NgModule({
    declarations: [TogglePreviewComponent],
    imports: [EndNglibraryModule, FormsModule, ReactiveFormsModule, HTMLEscapeUnescapeModule],
    providers: [],
})
export class TogglePreviewModule { }
